module.exports = {
  server: {
    host: '0.0.0.0'
  },
  env: {
    BACKEND_API_URL: 'http://localhost:5002/graphql',
    baseUrl: 'http://oas.alumnicloud.net:3000'
  },
  serverMiddleware: [
    '~/api/index.js'
  ],
  meta: [
    { charset: 'utf-8' },
    { name: 'viewport', content: 'width=device-width, initial-scale=1' }
  ],
  modules: ['bootstrap-vue/nuxt', '@nuxtjs/axios', '@nuxtjs/auth'],
  auth: {
    redirect: {
      callback: '/callback'
    },
    strategies: {
      oas: {
      _scheme: 'oauth2',
      base_url: 'http://oas.alumnicloud.net:4444',
      authorization_endpoint: 'http://oas.alumnicloud.net:4444/oauth2/auth',
      userinfo_endpoint: 'http://oas.alumnicloud.net:4444/userinfo',
      scope: ['openid', 'profile', 'email', 'openappstack_roles'],
      access_token_endpoint: 'http://oas.alumnicloud.net:4444/oauth2/token',
      response_type: 'token',
      token_type: 'Bearer',
      redirect_uri: 'http://oas.alumnicloud.net:3000/callback',
      client_id: 'user-panel',
      client_secret: 'secret_secret',
      }
    },
    scopeKey: "openappstack_roles"
  }
}


